"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("stream");
const QueueBuffer_1 = require("./QueueBuffer");
class QueueStream extends stream_1.Writable {
    constructor(maxSize, options) {
        super(options);
        this.toString = () => {
            return this.data.getString();
        };
        this.getSize = () => {
            return this.data.getSize();
        };
        this.getMaxSize = () => {
            return this.data.getMaxSize();
        };
        this.data = new QueueBuffer_1.QueueBuffer(maxSize);
    }
    _write(chunk, encoding, cb) {
        this.data.push(chunk);
        cb(null);
    }
}
exports.QueueStream = QueueStream;
//# sourceMappingURL=QueueStream.js.map